
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java编程技巧：列表排序 / iVAN</title>

    <meta name="description" content="Java编程技巧：列表排序 在Java Collection Framework中定义的List实现有Vector,ArrayList和LinkedList.这些集合提供了对对象组的索引访问.他们提供了元素的添加与删除支持.然而,它们并没有内置的元素排序支持. 你能够使用java.util.Collections类中的sort()方法对List元素进行排序.你既可以给方法传递一个List对象,也可以传递一个List和一个Comparator.如果列表中的元素全都是相同类型的类,并且这个类实现了Comparable接口,你可">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java编程技巧：列表排序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在Java Collection Framework中定义的List实现有Vector，ArrayList和LinkedList。这些集合提供了对对象组的索引访问。他们提供了元素的添加与删除支持。然而，它们并没有内置的元素排序支持。</p>
<p>你能够使用java.util.Collections类中的sort()方法对List元素进行排序。你既可以给方法传递一个List对象，也可以传递一个List和一个Comparator。如果列表中的元素全都是相同类型的类，并且这个类实现了Comparable接口，你可以简单的调用Collections.sort()。如果这个类没有实现Comparator，你也可以传递一个Comparator到方法sort()中，进行排序。如果你不想使用缺省的分类顺序进行排序，你同样可以传递一个Comparator到方法sort()中来进行排序。如果列表中的元素并不都是相同类型的类，你在进行排序的时候就不是这样幸运了。除非你编写一个专用的跨类的Comparator。</p>
<p>排序的顺序怎么样呢？如果元素是String对象，却省的排序顺序是按照字符编码进行的，基本上是每个字符的ASCII/Unicode值。如果严格的限制在处理英文，却省的排序顺序通常是足够的，因为它首先排A-Z，然后是小写字母a-z。然而如果你处理非英文字，或者你只是想使用不同的排序顺序，这样Collections.sort()就出现了第二种变化。例如，你想使用字符串的反序进行排序。为了实现这个功能，你可以在Collections类中通过reverseOrder()来获取一个反序Comparator。然后，你将反序Comparator传递给sort()方法。换句话说，你作如下工作：</p>
<p><code>List list = ...;<br />
Comparator comp = Collections.reverseOrder();<br />
Collections.sort(list, comp);</code></p>
<p>如果列表包含项目：Man, man, Woman, 和woman，排序好的列表将是Man, Woman, man, woman。这里没有什么复杂的。需要注意的非常重要的一点是Collections.sort()是进行原位排序。如果你需要保留原序，需要先对原集合进行复制，在排序，就像这样：</p>
<p><code>List list = ...;<br />
List copyOfList = new ArrayList(list);<br />
Collections.sort(copyOfList);</code></p>
<p>这里，排好序的列表是：Man, Woman, man, woman，但是原始列表（Man, man, Woman, woman）被保留了。</p>
<p>到目前为止，排序是区分大小写的。你如何进行不去分大小写的排序呢？一种实现方式是象这样实现Comparator:</p>
<p><code>public static class CaseInsensitiveComparator<br />
implements Comparator {<br />
public int compare(Object element1,<br />
Object element2) {<br />
String lower1 =<br />
element1.toString().toLowerCase();<br />
String lower2 =<br />
element2.toString().toLowerCase();<br />
return lower1.compareTo(lower2);<br />
}<br />
}</code></p>
<p>你确实不需要手工的创建这个类。而是，你可以是用以存在的Comparator，CASE_INSENSIVTIVE_ORDER，它是在String类中定义的。</p>
<p>这种实现方式有一点小小的问题。Sort()算法提供稳定的排序，并保持与原有序列相同的元素。这意味着一个包含两个元素”woman”和”Woman”的列表将有不同的排序，而这种不同是根据两个元素在列表中出现的先后次序决定的。</p>
<p>语言的不同又会怎么样呢？java.text包提供了Collector和CollectionKey类来进行区分语言的排序。这里是例子:</p>
<p>注意，如果你的文本是本地语言，而不是缺省语言，你需要传递一个本地语种给getInstance()方法，就象:</p>
<p><code>public static class CollatorComparator<br />
implements Comparator {<br />
Collator collator = Collator.getInstance();<br />
public int compare(Object element1,<br />
Object element2) {<br />
CollationKey key1 = collator.getCollationKey(<br />
element1.toString());<br />
CollationKey key2 = collator.getCollationKey(<br />
element2.toString());<br />
return key1.compareTo(key2);<br />
}<br />
}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 01:01:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/sort/" title="sort">sort</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/java%e4%b8%ad%e7%9a%84%e5%ad%97%e7%ac%a6%e6%95%b0%e7%bb%84%e5%8f%8d%e5%ba%8f/" title="java中的字符数组反序">java中的字符数组反序</a>, <a href="https://www.iamivan.net/tag/collections/" title="collections">collections</a>, <a href="https://www.iamivan.net/tag/comparator/" title="comparator">comparator</a>, <a href="https://www.iamivan.net/tag/%e5%88%97%e8%a1%a8%e6%8e%92%e5%ba%8f/" title="列表排序">列表排序</a>, <a href="https://www.iamivan.net/tag/collections-sort/" title="collections&period;sort">collections&period;sort</a>, <a href="https://www.iamivan.net/tag/java-list-%e6%8e%92%e5%ba%8f%e7%9a%84%e9%97%ae%e9%a2%98/" title="java list 排序的问题">java list 排序的问题</a>, <a href="https://www.iamivan.net/tag/java%e4%b8%adlist%e6%8e%92%e5%ba%8f/" title="java中list排序">java中list排序</a>, <a href="https://www.iamivan.net/tag/collections%e6%8e%92%e5%ba%8f/" title="collections排序">collections排序</a>, <a href="https://www.iamivan.net/tag/collections-sort%e6%8e%92%e5%ba%8f/" title="collections&period;sort排序">collections&period;sort排序</a>, <a href="https://www.iamivan.net/tag/java%e5%af%b9list%e8%bf%9b%e8%a1%8c%e6%8e%92%e5%ba%8f/" title="java对list进行排序">java对list进行排序</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java编程技巧：列表排序的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA78Wez.html" rel="bookmark">偏执却管用的 10 条 Java 编程技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经过一段时间的编码(咦,我已经经历了将近20年的编程生涯,快乐的日子总是过得很快),我们开始感谢那些好习惯.因为,你知道- &quot;任何可能出错的事情,最后都会出错.&quot; 这就是人们为什么喜欢进行&quot;防错性程序设计&quot;的原因.偏执的习惯有时很有意义,有时则不够清晰也不够聪明,也许当你想到这样写的人的时候还会觉得有点怪异.下面是我列出的的个人感觉最有用而又偏执的 10 项 Java 编程技巧.请看: 1. 把字符串常量放在前面 通过把字符串常量放在比较函数equals()比较项的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyP7Rvb.html" rel="bookmark">Java编程技巧：小爬虫程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍Java编程技巧之小爬虫程序的编程方法.   马萨玛索(http://www.masamaso.com/index.shtml)每天10点都会推出一折商品5件,就是秒购.男装质量还不错,所以就经常去抢,感觉手动太慢了,就写了一个小爬虫程序,让自己去爬,如果是金子页面(免费商品)就会自动打开,我就可以抢到了.和大家分享一下.   思路:   1. 把所有想要的商品的链接读到程序中.   2. 分别打开每一个链接读取源代码   3. 验证是否是金子商品(源代码中含有free_msg字符串)			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0g6Db.html" rel="bookmark">使用技巧：对Java编程中的文件操作详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|技巧|详解 一.获得控制台用户输入的信息 /** *//**获得控制台用户输入的信息 * @return * @throws IOException */ public String getInputMessage() throws IOException...{ System.out.println(&quot;请输入您的命令∶&quot;); byte buffer[]=new byte[1024]; int count=System.in.read(buffer); char[] ch=new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQryKOM.html" rel="bookmark">Java编程性能优化技巧有哪些</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.尽量在合适的场合使用单例 使用单例可以减轻加载的负担,缩短加载的时间,提高加载的效率,但并不是所有地方都适用于单例,简单来说,单例主要适用于以下三个方面: 第一,控制资源的使用,通过线程同步来控制资源的并发访问: 第二,控制实例的产生,以达到节约资源的目的: 第三,控制数据共享,在不建立直接关联的条件下,让多个不相关的进程或线程之间实现通信. 2.尽量避免随意使用静态变量 要知道,当某个对象被定义为static变量所引用,那么GC通常是不会回收这个对象所占有的内存,如: 此时静态变量b的生命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QOgqp.html" rel="bookmark">JAVA四种基本排序方法实例总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JAVA四种基本排序方法.分享给大家供大家参考.具体如下: JAVA四种基本排序,包括冒泡法,插入法,选择法,SHELL排序法.其中选择法是冒泡法的改进,SHELL排序法是 插入法的改进.所以从根本上来说可以归纳为两种不同的排序方法:即:插入法&amp;冒泡法 一 插入法: 遍历排序集合,每到一个元素时,都要将这个元素与所有它之前的元素遍历比较一遍,让符合排序顺序的元素挨个移动到当前范围内它最应该出现的位置.交换是相邻遍历移动,双重循环控制实现.这种排序法属于地头蛇类型,在我的地牌上我要把			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7KrmM.html" rel="bookmark">Java编程中10个最佳的异常处理技巧&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实践中,异常处理不单单是知道语法这么简单.编写健壮的代码是更像是一门艺术,在本文中,将讨论Java异常处理最佳实践.这些Java最佳实践遵循标准的JDK库,和几个处理错误和异常的开源代码.这还是一个提供给java程序员编写健壮代码的便利手册.Java 编程中异常处理的最佳实践 这里是我收集的10个Java编程中进行异常处理的10最佳实践.在Java编程中对于检查异常有褒有贬,强制处理异常是一门语言的功能.在本文中,我们将尽量减少使用检查型异常,同时学会在Java编程中使用检查型VS非检查型异常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ6dwM.html" rel="bookmark">JAVA编程思想 课程进展 一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程 第1章 对象入门 &quot;为什么面向对象的编程会在软件开发领域造成如此震憾的影响?&quot; 面向对象编程(OOP)具有多方面的吸引力.对管理人员,它实现了更快和更廉价的开发与维护过程.对分析与设计人员,建模处理变得更加简单,能生成清晰.易于维护的设计方案.对程序员,对象模型显得如此高雅和浅显.此外,面向对象工具以及库的巨大威力使编程成为一项更使人愉悦的任务.每个人都可从中获益,至少表面如此.如果说它有缺点,那就是掌握它需付出的代价.思考对象的时候,需要采用形象思维,而不是程序化的思维.与程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZXr4z.html" rel="bookmark">Java 编程要点之并发（Concurrency）详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文详细介绍了 Java 并发(Concurrency)的基础用法和原理. 计算机用户想当然地认为他们的系统在一个时间可以做多件事.他们认为,他们可以工作在一个字处理器,而其他应用程序在下载文件,管理打印队列和音频流.即使是单一的应用程序通常也是被期望在一个时间来做多件事.例如,音频流应用程序必须同时读取数字音频,解压,管理播放,并更新显示.即使字处理器应该随时准备响应键盘和鼠标事件,不管多么繁忙,它总是能格式化文本或更新显示.可以做这样的事情的软件称为并发软件(concurrent softw			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWmw3z.html" rel="bookmark">介绍Python中的一些高级编程技巧&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 正文: 本文展示一些高级的Python设计结构和它们的使用方法.在日常工作中,你可以根据需要选择合适的数据结构,例如对快速查找性的要求.对数据一致性的要求或是对索引的要求等,同时也可以将各种数据结构合适地结合在一起,从而生成具有逻辑性并易于理解的数据模型.Python的数据结构从句法上来看非常直观,并且提供了大量的可选操作.这篇指南尝试将大部分常用的数据结构知识放到一起,并且提供对其最佳用法的探讨.推导式(Comprehensions) 如果你已经使用了很长时间的Python,那么你至少应该听			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLJmRb.html" rel="bookmark" class="title">IOS导航隐藏下边的线</a>
					<div>
						if (kIsIOS7OrLater) { // Close this to make normal self.automaticallyAdjustsScrollViewInsets = NO; / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0Z4Jz.html" rel="bookmark" class="title">sqlserver 存储过程分页代码第1&sol;2页</a>
					<div>
						复制代码 代码如下:declare @TotalCount int declare @TotalPageCount int exec P_viewPage_A 'type1','*','id','', ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeXWxp.html" rel="bookmark" class="title">Web创业应该遵循的10条戒律</a>
					<div>
						Evan Williams是Blogger的创始人,也是podcast服务网站Odeo的创始人和CEO.他根据自己的体会,列出了Web创业应该遵循的10条戒律(Ten Rules for Web St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqEvkM.html" rel="bookmark" class="title">ASP&period;NET 2&period;0里动态访问META标记</a>
					<div>
						asp.net|动态|访问 在asp.net 2.0里,可以支持动态访问meta 标记了,比如可以动态增加关键字了Private Sub CreateMetaTags()      Dim hm As ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPomAM.html" rel="bookmark" class="title">以惨痛经历告诫所以站长关于关键词的规划</a>
					<div>
						又是半个月没在站长网和大家见面了,由于本人梦飞扬的网站最近出了点问题,一直在拼命的努力去纠正这些问题,所以没有来和大家分享一些做站的经验,今天主要是来和大家分享关于关键词如何选择才是对于网站利好,有利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZayBp.html" rel="bookmark" class="title">从DataView中生成Excel报表的方案&lpar;C&num;&rpar;</a>
					<div>
						excel|生成excel 前言:前几天一同事问我如何利用C#将数据导到Excel文件当中,当时比较忙没有顾得上去研究,今天特地研究了一下,基本搞定,下面就具体介绍如何将DataView中的数据按照一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6dQgz.html" rel="bookmark" class="title">轻量级HTTP服务器Nginx入门</a>
					<div>
						一.什么是Nginx 相信很多读者都对Apache非常熟悉,与Apache类似,Nginx是一款高性能的HTTP和反向代理服务器软件,也是一个 IMAP/POP3/SMTP 代理服务器.Nginx(发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK7L1p.html" rel="bookmark" class="title">IBM i教程：IBM i开发策略的更新</a>
					<div>
						你知道作为一名IBM i的开发成员是如何工作的么?假设让你负责一款操作系统的开发和升级,你知道如何 判断操作系统的哪些部分需要更多的投资?你将如何了解当今不断发展变化的新技术,然后判断这些新想法是 否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kmEqz.html" rel="bookmark" class="title">Excel2007同一单元格文本设置不同格式</a>
					<div>
						使用Excel处理表格时,对于某些单元格进行单元格格式设置,并不需要对整个单元格进行,但领导这一要求,就不能对整个单元格进行了,需要对单元格里面的一部分内容进行设置. 发现Excel2007就有这一方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE54Jb.html" rel="bookmark" class="title">IE浏览器怎么升级？</a>
					<div>
						  IE浏览器怎么升级?          一.微软官方下载升级 打开微软官方IE浏览器下载安装页面,点击[立即下载]下载符合你当前系统的最新版本的IE浏览器安装程序. IE浏览器 下载好后直接打开进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2WBOM.html" rel="bookmark" class="title">PS制作漂亮的彩虹字</a>
					<div>
						  最终效果 1.主要技术:滤镜风/扭曲的宗合使用! 1;按CTRL+N新建一个RGB文档! 2;选择通道控制面版新建一个Alpha1通道! 3;用文字工具在新通道上写上&quot;七彩光芒&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPeJGz.html" rel="bookmark" class="title">ie浏览器弹出安全警告的解决方法</a>
					<div>
						  相信使用IE浏览器的用户在访问网页的时候都遇到过&quot;安全警告&quot;的窗口提示框,其提示框中的内容为&quot;是否中查看网页包含的内容将不使用安全的HTTPS连接传送,可能危及到整个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91wXvM.html" rel="bookmark" class="title">PHP代码优化的53个细节</a>
					<div>
						这篇文章主要介绍了PHP代码优化的53个细节,常见而重要的php优化策略,需要的朋友可以参考下 用单引号代替双引号来包含字符串,这样做会更快一些.因为PHP会在双引号包围的字符串中搜寻变量,单引号则不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR2vQp.html" rel="bookmark" class="title">Photoshop海报制作&mdash;迷幻老虎</a>
					<div>
						最终效果       1.创建一个新的文档,并如下图设置,将背景填充为黑色 图1 2.下载一张&quot;老虎&quot;图片,寻找那种虎头正面的图片,然后使用钢笔工具将其面部抠选下来 图2 在抠选的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVKjEb.html" rel="bookmark" class="title">sqlplus导出oracle查询结果的例子</a>
					<div>
						1.创建查询oracle的sql脚本文件,名为cx.sql,其中定义了三个变量 LAST_DATE昨天的时间 TODAY:今天的时间 FILE_NAME:导出的文件名 &amp;1.&amp;2.&a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR043z.html" rel="bookmark" class="title">c&num;如何保存数组数据到TXT&quest;&quest;&quest;</a>
					<div>
						问题描述 c#如何保存数组数据到TXT??? c#如何保存数组数据到TXT??? 解决方案 不知道你的数组放的是什么类型,如果简单类型比如string啊什么的可以直接用比如:File.WriteAll ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEA4Az.html" rel="bookmark" class="title">Java 虚拟机 OpenJ9 和 Hotspot 的 Benchmark 测试</a>
					<div>
						IBM 开源了它开发的 J9 Java 虚拟机 (JVM),并将其贡献给了 Eclipse 基金会,重命名为 Eclipse OpenJ9.J9 是一个高性能可伸缩的 Java 虚拟机,是许多 IBM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxo08b.html" rel="bookmark" class="title">2013 年 KDE 大灾难：损毁文件完美镜像</a>
					<div>
						KDE开发者Jeff Mitchell在博客中记录了2013年KDE最大灾难:2013 年3月22日,root git服务器(git.kde.org)因安全原因下线,在应用了安全更新之后服务器重新上线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj6r6p.html" rel="bookmark" class="title">【云中沙箱】如何使用SLB实现持续性高并发访问？</a>
					<div>
						如何使用SLB实现持续性高并发访问?  云中沙箱实验教您如何提高云服务器的响应速度.    云中沙箱,阿里云官方实验平台.网址:http://lab.aliyunedu.net     一.基本概念  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rDqop.html" rel="bookmark" class="title">安卓图片下载的任务的参数问题FIFO</a>
					<div>
						问题描述 安卓图片下载的任务的参数问题FIFO tasksProcessingOrder(QueueProcessingType.FIFO)有什么用,不加为什么下载不了? 解决方案 FIFO就是fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK0GLb.html" rel="bookmark" class="title">HEVC代码追踪（十五）&colon;解码之decompressSlice</a>
					<div>
						Void TDecGop::decompressSlice(TComInputBitstream* pcBitstream, TComPic*&amp; rpcPic) { TComSlice* pc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLGYmp.html" rel="bookmark" class="title">Sublime Text 3 Build 3080 发布&comma;修复功能完善细节</a>
					<div>
						Sublime Text 3 Build 3080 发布,修复了很多功能,并完善了一些细节,比如说:增加了下载功能:比较上一版本运行更快:未来Sublime Text 将允许注册用户访问,并参与Dev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE45kAz.html" rel="bookmark" class="title">云计算设计模式（十五）&mdash;&mdash;管道和过滤器模式</a>
					<div>
						云计算设计模式(十五)--管道和过滤器模式 分解,执行复杂处理成一系列可重复使用分立元件的一个任务.这种模式可以允许执行的处理进行部署和独立缩放任务元素提高性能,可扩展性和可重用性. 背景和问题 一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRGV6b.html" rel="bookmark" class="title">reverse-关于vector的反向迭代器</a>
					<div>
						问题描述 关于vector的反向迭代器 渣渣求教:我知道如何把正向迭代器转化为反向迭代器 vector::reverse_iterator(max_element(b.begin(),b.end()) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7mn3z.html" rel="bookmark" class="title">基于Linux的VOIP开放协议和专有协议</a>
					<div>
						VoIP到底是什么?需要为VoIP做哪些准备?到底有哪些开放协议和专有协议?本文将探讨这些问题,并比较了几款最流行的用于呼叫和电话会议的Linux应用­软件. 在特殊情况下,VoIP网络可以与传输电话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqo54p.html" rel="bookmark" class="title">天灏资本发布报告称第三季度天猫GMV同比涨78&percnt;</a>
					<div>
						摘要: 查看最新行情 北京时间9月23日晚间消息,投资公司天灏资本(T.H. Capital)今日发布研究报告称,第三季度天猫GMV同比增长78%,淘宝GMV同比增长48%. 以下为报告内容摘要: 天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yd8xz.html" rel="bookmark" class="title">报表异常</a>
					<div>
						问题描述 我用的是VS自带的报表RDLC.在数据行中插入行后原单元格的边框线就没了,而且不是我想要的斜线(方向反了)设计视图: 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB67Yz.html" rel="bookmark" class="title">在地理信息系统领域中，哪些公司比较专业且适用于大众化的需求？</a>
					<div>
						问题描述 本人刚步入社会,准备向地理信息这方面发展,但是又不了解当今GIS的发展趋势,所以在此发表疑问,希望可以得到解答.在上海有哪些做的比较好的gis企业? 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBNeaz.html" rel="bookmark" class="title">MySQL 5&period;7&period;6&colon; 如何不停服务开启复制拓扑内的GTID</a>
					<div>
						Gtid作为5.6版本以来的杀手级特性,却因为不支持拓扑结构内开关而饱受诟病.如果你需要从未开启GTID的环境升级到开启GTID,需要把这个复制结构里的实例shutdown后,再重启.相信这对于任何2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqYgnp.html" rel="bookmark" class="title">javascript入门之string对象【新手必看】&lowbar;javascript技巧</a>
					<div>
						一.String 对象     String 对象用于处理文本(字符串). 二.构造函数 new String(value) //构造函数 function String(value) //转换函数  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
